Nous utilisons des cookies pour vous garantir la meilleure expérience sur notre site. Si vous continuez à utiliser ce dernier, nous considèrerons que vous acceptez l'utilisation des cookies. J'ai compris ! ou En savoir plus !.
Nom d'utilisateur    Mot de passe              Toujours pas inscrit ?   Mot de passe oublié ?

#1 jeu. 13 juillet 2017 10:02

Vero
Membre
Lieu: Echirolles
Date d'inscription: 6 sept. 2005
Messages: 50

QGIS 2.18.6/2.14.16 & Plugin Cadastre: Blocage "latin-1"

Bonjour,

Après de multiples tentatives et de nombreuses recherches, je me décide à venir vers vous.
En 2015, j'avais parfaitement réussi à intégrer les données Majic et Edigéo dans QGIS. En revanche lorsqu'il a fallu passer à la mise à jour 2016, impossible. J'ai laissé tomber faute de temps.
Finalement je reprends la chose dans l'espoir que les différentes màj des logiciels apportent du meilleur mais malheureusement un message d'erreur apparaît, bloquant la création des tables. Je mets le message en fait de mail...

A ce jour j'utilise :
QGIS 2.18.6 (ou éventuellement la version 2.14.16).
PlugIn Cadastre 1.4.1
PostGreSQL 9.3
PostGIS 2.1.8

Mon mot de passe à la base postgre est bien sauvegardé. Le schéma a été crée avec PgAdmin III. Les répertoires contenant les données sont sans espace, ni accent etc... Ma base est en UTF8, donc j'ai du mal à comprendre pourquoi le message indique latin1. Un mystère pour moi !!

Je cale. Merci par avance pour votre aide et vos conseils avisés.

Véronique

_________________________


UnicodeEncodeError: 'latin-1' codec can't encode character u'\u2019' in position 23387: ordinal not in range(256)
Traceback (most recent call last):
  File "C:/Users/vestri/.qgis2/python/plugins\cadastre\cadastre_dialogs.py", line 1083, in processImport
    qi.installCadastreStructure()
  File "C:/Users/vestri/.qgis2/python/plugins\cadastre\cadastre_import.py", line 251, in installCadastreStructure
    self.executeSqlScript(s, item.has_key('constraints'))
  File "C:/Users/vestri/.qgis2/python/plugins\cadastre\cadastre_import.py", line 1064, in executeSqlScript
    self.executeSqlQuery(sql, ignoreError)
  File "C:/Users/vestri/.qgis2/python/plugins\cadastre\cadastre_import.py", line 1115, in executeSqlQuery
    c = self.connector._execute_and_commit(sql)
  File "C:/PROGRA~1/QGIS2~1.14/apps/qgis-ltr/./python/plugins\db_manager\db_plugins\connector.py", line 89, in _execute_and_commit
    self._execute(None, sql)
  File "C:/PROGRA~1/QGIS2~1.14/apps/qgis-ltr/./python/plugins\db_manager\db_plugins\connector.py", line 75, in _execute
    cursor.execute(unicode(sql))
UnicodeEncodeError: 'latin-1' codec can't encode character u'\u2019' in position 23387: ordinal not in range(256)


Véronique VESTRI
Responsable SIG
Ville d'Echirolles (38)
v.vestri@texte-a-enlever.ville-echirolles.fr

Hors ligne

 

#2 jeu. 13 juillet 2017 10:35

tumasgiu
Membre
Lieu: Ajaccio
Date d'inscription: 5 juil. 2010
Messages: 483

Re: QGIS 2.18.6/2.14.16 & Plugin Cadastre: Blocage "latin-1"

Salut,

l'erreur ne semble pas venir de votre base mais plutôt du plugin en lui-même.
L'erreur intervient quand il essaie de lancer le script SQL qui crée les tables :

Code:

 File "C:/Users/vestri/.qgis2/python/plugins\cadastre\cadastre_import.py", line 251, in installCadastreStructure
    self.executeSqlScript(s, item.has_key('constraints'))

Le SQL est encodé en latin-1 avant d'être passé au curseur pour qu'il l'exécute, et c'est là que çà coince.

Ce commit à l'air de concerner ce problème:
https://github.com/3liz/QgisCadastrePlu … 559ed58a71

Vous devriez essayer de remplacer vos deux fichiers, cadastre_dialogs.py et cadastre_import.py, par ceux du commit
(N'oubliez pas de faire un backup des fichiers originaux) :

https://raw.githubusercontent.com/3liz/ … dialogs.py
https://raw.githubusercontent.com/3liz/ … _import.py

Dernière modification par tumasgiu (jeu. 13 juillet 2017 10:40)

Hors ligne

 

#3 jeu. 13 juillet 2017 15:03

Vero
Membre
Lieu: Echirolles
Date d'inscription: 6 sept. 2005
Messages: 50

Re: QGIS 2.18.6/2.14.16 & Plugin Cadastre: Blocage "latin-1"

Re,

Au risque de paraître idiot, comment faire pour télécharger ces
fichiers. Je n'ai rien trouvé (peut-être faut-il être connecté ?). Faire
un copier coller du contenu ne me paraît pas être une bonne idée...

Merci d'avance,

Véro


Véronique VESTRI
Responsable SIG
Ville d'Echirolles (38)
v.vestri@texte-a-enlever.ville-echirolles.fr

Hors ligne

 

#4 jeu. 13 juillet 2017 15:04

Vero
Membre
Lieu: Echirolles
Date d'inscription: 6 sept. 2005
Messages: 50

Re: QGIS 2.18.6/2.14.16 & Plugin Cadastre: Blocage "latin-1"

Re,

J'ai intégré les 2 fichiers en question. Je les ai positionné en lieu et
place des autres en prenant soin de conserver les anciens...

J'ai redémarré QGIS, et surprise, un message orange sur Python apparaît
sans rien avoir fait.

Je fais machine arrière pour le moment...

Véro

Erreur Python: Impossible de charger l'extension cadastre provoque une
erreur lors de l'appel de sa méthode classFactory() Voir le journal des
erreurs Python pour plus de détails

_________________
Impossible de charger l'extension cadastre provoque une erreur lors de
l'appel de sa méthode classFactory()

SyntaxError: invalid syntax

Traceback (most recent call last):   File
"C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 333, in
startPlugin     plugins[packageName] = package.classFactory(iface)   
File "C:/Users/vestri/.qgis2/python/plugins\cadastre\__init__.py", line
26, in classFactory     from cadastre_menu import cadastre_menu   File
"C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 607, in
_import     mod = _builtin_import(name, globals, locals, fromlist,
level)   File
"C:/Users/vestri/.qgis2/python/plugins\cadastre\cadastre_menu.py", line
30, in     from cadastre_dialogs import cadastre_common,
cadastre_search_dialog, cadastre_import_dialog, cadastre_load_dialog,
cadastre_option_dialog, cadastre_about_dialog, cadastre_parcelle_dialog,
cadastre_message_dialog   File
"C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 607, in
_import     mod = _builtin_import(name, globals, locals, fromlist,
level)   File
"C:/Users/vestri/.qgis2/python/plugins\cadastre\cadastre_dialogs.py",
line 2666     Contact GitHub API Training Shop Blog About               
   ^ SyntaxError: invalid syntax


Véronique VESTRI
Responsable SIG
Ville d'Echirolles (38)
v.vestri@texte-a-enlever.ville-echirolles.fr

Hors ligne

 

#5 lun. 17 juillet 2017 11:43

tumasgiu
Membre
Lieu: Ajaccio
Date d'inscription: 5 juil. 2010
Messages: 483

Re: QGIS 2.18.6/2.14.16 & Plugin Cadastre: Blocage "latin-1"

Désolé,
j'étais persuadé d'être abonné au fil, et je n'ai vu vos posts qu'aujourd'hui

Pour télécharger les fichiers, cliquez sur les deux derniers liens fournis
et enregistrer les fichiers, (Ctrl-S, ou Fichier>Enregistrer sous).

Dernière modification par tumasgiu (lun. 17 juillet 2017 11:44)

Hors ligne

 

#6 lun. 17 juillet 2017 13:46

Jonathan Mariage
Membre
Lieu: Vienne Isére
Date d'inscription: 9 oct. 2009
Messages: 35

Re: QGIS 2.18.6/2.14.16 & Plugin Cadastre: Blocage "latin-1"

Bonjour,

Petite question, ne vous serait-il pas possible de passer sur la 2.18.10 ? Peut-être cela réglera vos problèmes.

En effet la 2.18.6 et buggé. Lors de formations plusieurs bugs sur la 2.18.6 on été remonté alors que les utilisateur sur la 2.18.10 n'avaient aucun souci pour faire les même exercices.

Cordialement,


Jonathan Mariage
Cartographe

Hors ligne

 

#7 lun. 17 juillet 2017 17:51

Vero
Membre
Lieu: Echirolles
Date d'inscription: 6 sept. 2005
Messages: 50

Re: QGIS 2.18.6/2.14.16 & Plugin Cadastre: Blocage "latin-1"

Ok je teste et je vous tiens au courant...
Je n'y avais pas pensé du tout.

Merci

Véro


Véronique VESTRI
Responsable SIG
Ville d'Echirolles (38)
v.vestri@texte-a-enlever.ville-echirolles.fr

Hors ligne

 

#8 lun. 17 juillet 2017 17:52

Vero
Membre
Lieu: Echirolles
Date d'inscription: 6 sept. 2005
Messages: 50

Re: QGIS 2.18.6/2.14.16 & Plugin Cadastre: Blocage "latin-1"

Bien me revoici, toujours bredouille et un peu désespérée !!

J'ai mis la version 2.18.10. >> aucun changement

J'ai également remplacé les fichiers >> sans succès, c'est même pire, comme j'ai déjà pu le mentionner dans un mail précédent - Un message apparaît immédiatement à l'ouverture

Erreur Python: Impossible de charger l'extension cadastre provoque une erreur lors de l'appel de sa méthode classFactory()
Voir le journal des erreurs Python pour plus de détails

Bref, je n'ai pas avancé d'un poil et le week-end prolongé ne m'a pas inspiré !

Merci encore pour d'autres pistes à suivre.

Véronique


Véronique VESTRI
Responsable SIG
Ville d'Echirolles (38)
v.vestri@texte-a-enlever.ville-echirolles.fr

Hors ligne

 

#9 mar. 18 juillet 2017 10:23

tumasgiu
Membre
Lieu: Ajaccio
Date d'inscription: 5 juil. 2010
Messages: 483

Re: QGIS 2.18.6/2.14.16 & Plugin Cadastre: Blocage "latin-1"

Bonjour,

j'ai testé le plugin, obtenu la même erreur que vous,
et le remplacement des 2 fichiers a corrigé le problème.

Je vous joins les 2 fichiers.
Les vôtres sont visiblement mauvais :
on voit que python plante sur la dernière ligne qui est :

Code:

line 2666     Contact GitHub API Training Shop Blog About               
   ^ SyntaxError: invalid syntax

Clairement pas du code python.

Dernière modification par tumasgiu (mar. 18 juillet 2017 10:23)


Fichier(s) joint(s) :
Pour accéder aux fichiers vous devez vous inscrire.

Hors ligne

 

#10 mar. 18 juillet 2017 11:10

Vero
Membre
Lieu: Echirolles
Date d'inscription: 6 sept. 2005
Messages: 50

Re: QGIS 2.18.6/2.14.16 & Plugin Cadastre: Blocage "latin-1"

Un immense merci pour avoir mis le doigt sur le problème. Fantastique !
Tout fonctionne à merveille avec vos 2 fichiers, c'est extra.

Au plaisir sur le forum,

Cordialement

Véronique


Véronique VESTRI
Responsable SIG
Ville d'Echirolles (38)
v.vestri@texte-a-enlever.ville-echirolles.fr

Hors ligne

 

Pied de page des forums

Powered by FluxBB

Partagez  |